Bug 138103 - Display LVM stderr to user in dailog on command failure
Display LVM stderr to user in dailog on command failure
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-lvm (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Jim Parsons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-04 12:10 EST by Derek Anderson
Modified: 2009-04-16 19:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-23 16:26:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2004-11-04 12:10:09 EST
Description of problem:
It would be extremely beneficial for usability if, when LVM commands
fail, the stderr messages from LVM could be displayed to the user in a
dialog box so they know what went wrong and why.

A couple examples of this are:
- User tries to create a striped LV where stripes exceed the number of
PVs in the VG
- User tries to create a striped LV where the there aren't enough
stripe extents available on one or more of the smallest PVs.

Displaying:
  "Number of stripes (8) must not exceed number of physical volumes (3)"
or
  "Insufficient allocatable extents suitable for parallel use for
logical volume GIG: 35841 required"

respectively in an error dialog is much more helpful than refreshing
to the default view with no indication that the requested action could
not be taken.

Version-Release number of selected component (if applicable):
system-config-lvm-0.9.6-1.0

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jim Parsons 2004-11-12 14:46:26 EST
This issue is being addressed by editing a standard dist package
called RHPL, and adding a new executil method that returns stdout,
stderr, and exitcode. The current one only returns stdout. When
available, system-config-lvm code will use this new method and a
dependency will be placed in the spec file for the necessary rev of RHPL.

As this does not seem to be a showstopper, can we mark this as
deferred for now? 
Comment 2 Jim Parsons 2004-11-23 10:38:16 EST
With the addition of a modification to the rhpl libs, this bug is now
fixable, and has been in 0.9.14-1.0
Comment 3 Derek Anderson 2004-11-23 16:26:47 EST
I am now getting error messages similar to the following, which is
what is expected:

lvcreate command failed. Command attempted: "/usr/sbin/lvcreate -n LV1
-l 9000 -i 4 -I 64 VG1" - System Error Message:   Number of stripes
(4) must not exceed number of physical volumes (2)

Verified in system-config-lvm-0.9.17-1.0.

Note You need to log in before you can comment on or make changes to this bug.